{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "2.0 Карта" %}


{% block heading %}
    <div class="content-header">
        <ol class="content-header__breadcrumb breadcrumb mb-1">
            <li class="breadcrumb-item">
                <a href="#">Карта</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page"> Полицейские на карте</li>
        </ol>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="card">

        <div class="card-body">
            <div class="row">
                <div class="col-lg-6">
                    <div class="users-map" id="users-map"></div>
                </div>
                <div class="col-lg-6">
                    <div class="users">
                        <div class="users__info">
                            <div class="users__info--summary font-size-large">Количество сотрудников: 348</div>
                            <div class="users__info--selected">Выбрано 19:</div>
                        </div>
                        <div class="users__content  pretty-scroll">
                            <div class="users__list">
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user" checked>
                                    <span class="user-item__text">Турсунханов Н.В.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Ахметов С.Г.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Омаров В.Н.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Петров Н.Г.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Федоров С.Д.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Садыков С.Г.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Козлов В.П.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Кузьмин Э.С.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Абдуллаев А.М.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Султанов А.М.</span>
                                </label><!-- .user-item -->
                                <label class="user-item">
                                    <input type="radio" class="user-item__input" name="user">
                                    <span class="user-item__text">Болат И.В.</span>
                                </label><!-- .user-item -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div><!-- .card-body -->
    </div><!-- .card -->
{% endblock %}


{% block scripts %}
    <script src="https://api-maps.yandex.ru/2.1/?apikey=89e58c06-5d58-4418-99df-35829b46b183&lang=ru_RU" type="text/javascript"></script>
    <script>
        ymaps.ready(function () {
            let map = new ymaps.Map('users-map', {
                center: [55.7721,37.6202],
                zoom: 14,
                controls: []
            });

            let userLayout_1 = ymaps.templateLayoutFactory.createClass('<div class="point">' +
                '<div class="point__avatar"><img src="assets/img/content/user_01.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Искаков А.Н.</div>' +
                '</div>' +
                '</div>');

            let user_1 = new ymaps.Placemark(
                [55.7615,37.6204], {
                    hintContent: 'Искаков А.Н.'
                }, {
                    iconLayout: userLayout_1,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_2 = ymaps.templateLayoutFactory.createClass('<div class="point">' +
                '<div class="point__avatar"><img src="assets/img/content/user_02.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Турсунханов Н.В.</div>' +
                '</div>' +
                '</div>');

            let user_2 = new ymaps.Placemark(
                [55.7660,37.6051], {
                    hintContent: 'Турсунханов Н.В.'
                }, {
                    iconLayout: userLayout_2,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_3 = ymaps.templateLayoutFactory.createClass('<div class="point">' +
                '<div class="point__avatar"><img src="assets/img/content/user_03.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Оспанов Б.Ш.</div>' +
                '<div class="point__icon"><i class="bx bx-lock-alt"></i></div>' +
                '</div>' +
                '</div>');

            let user_3 = new ymaps.Placemark(
                [55.7689,37.6288], {
                    hintContent: 'Оспанов Б.Ш.'
                }, {
                    iconLayout: userLayout_3,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_4 = ymaps.templateLayoutFactory.createClass('<div class="point point--red">' +
                '<div class="point__avatar"><img src="assets/img/content/user_04.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Алиев С.Г.</div>' +
                '<div class="point__icon"><span class="d-inline-block">!</span></div>' +
                '</div>' +
                '</div>');

            let user_4 = new ymaps.Placemark(
                [55.7755,37.6221], {
                    hintContent: 'Алиев С.Г.'
                }, {
                    iconLayout: userLayout_4,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            let userLayout_5 = ymaps.templateLayoutFactory.createClass('<div class="point">' +
                '<div class="point__avatar"><img src="assets/img/content/user_05.png" class="img-fluid" alt=""></div>' +
                '<div class="point__content">' +
                '<div class="point__name">Ахметов С.Г.</div>' +
                '<div class="point__icon"><i class="bx bx-lock-alt"></i></div>' +
                '</div>' +
                '</div>');

            let user_5 = new ymaps.Placemark(
                [55.7779,37.6026], {
                    hintContent: 'Ахметов С.Г.'
                }, {
                    iconLayout: userLayout_5,
                    iconShape: {
                        type: 'Rectangle',
                        coordinates: [
                            [-25, -25], [25, 25]
                        ]
                    }
                }
            );

            map.geoObjects.add(user_1);
            map.geoObjects.add(user_2);
            map.geoObjects.add(user_3);
            map.geoObjects.add(user_4);
            map.geoObjects.add(user_5);
        });
    </script>
{% endblock %}


<!-- BEGIN: Page Modal-->
{% block pageModal %}
    <div aria-live="polite" aria-atomic="true" style="position: relative">
        <!-- Position it -->
        <div style="position: fixed; top: 1rem; right: 1rem; margin-left: 1rem; z-index: 1030">
            <!-- Auto hide off -->
            <div class="toast show" role="alert" aria-live="assertive" aria-atomic="true" data-autohide="false">
                <div class="toast-header  toast-header--red">
                    <i class="bx bx-error-circle"></i>
                    <span class="mr-auto font-size-small">11:49:39; Алиев С.Г., Ленина 24 </span>
                    <button type="button" class=" close" data-dismiss="toast" aria-label="Close">
                        <i class="bx bx-x"></i>
                    </button>
                </div>
            </div>
            <!-- Auto hide off end -->
        </div>
    </div>
{% endblock %}
<!-- END: Modal-->
